package com.ruoyi.system.mapper;

import java.math.BigDecimal;
import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.UserWallet;
import org.apache.ibatis.annotations.Param;

/**
 * 用户钱包 Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-29
 */
public interface UserWalletMapper  extends BaseMapper<UserWallet>
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public UserWallet selectUserWalletById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param userWallet 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<UserWallet> selectUserWalletList(UserWallet userWallet);

    /**
     * 新增【请填写功能名称】
     *
     * @param userWallet 【请填写功能名称】
     * @return 结果
     */
    public int insertUserWallet(UserWallet userWallet);

    /**
     * 修改【请填写功能名称】
     *
     * @param userWallet 【请填写功能名称】
     * @return 结果
     */
    public int updateUserWallet(UserWallet userWallet);

    public int updateUserWalletWithLock(@Param("id") Long id, @Param("version") int version, @Param("pointsWallet") BigDecimal pointsWallet, @Param("balanceWallet") BigDecimal balanceWallet);

    /**
     * 删除【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteUserWalletById(Long id);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUserWalletByIds(Long[] ids);

    public UserWallet selectByStoreId(Long storeId);

    public UserWallet selectByUserId(Long userId);
}
